//
//  MTTextureTypePlugIn.h
//  MTTexture
//
//  Created by Daniel Morena on 3/3/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Quartz/Quartz.h>

@interface MTTextureTypePlugIn : QCPlugIn
{
    NSMutableArray *textures;
}

@property(assign) BOOL          inputPurge;
@property(assign) NSString      *inputText;
@property(assign) NSUInteger    outputTextureName;
@property(assign) NSUInteger    outputTextureWidth;
@property(assign) NSUInteger    outputTextureHeight;

@property(assign) NSString  *inputFontName;
@property(assign) double    inputFontSize;
@property(assign) double    inputFontLeading;
@property(assign) double    inputFontKerning;
@property(assign) double    inputWidth;
@property(assign) double    inputHeight;

-(NSDictionary*)allocTextureWithString:(NSString*)theText
                            attributes:(NSDictionary*)attributes
                            andContext:(id<QCPlugInContext>)context;
-(void)releaseTextureWithName:(GLuint)textureName andContext:(id<QCPlugInContext>)context;
-(void)releaseAllTexturesWithContext:(id<QCPlugInContext>)context;

@end
