//
//  MTTexturePlugIn.h
//  MTTexture
//
//  Created by Daniel Morena on 2/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Quartz/Quartz.h>

@interface MTTexturePlugIn : QCPlugIn
{
	BOOL groupImport;
    BOOL first;
    NSMutableArray *currentPorts;
    NSArray *groupPorts;
    NSArray *singlePorts;
    NSInteger currentState;
    NSMutableArray *textures;
}

/*
Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/
@property (readwrite) BOOL groupImport;
@property (assign) BOOL	inputFetchSignal;

-(NSDictionary*)allocTextureWithFilePath:(NSString*)path andContext:(id<QCPlugInContext>)context;
-(void)managePortsForGroupImportState;
-(void)manageCurrentTexturesWithContext:(id<QCPlugInContext>)context;
-(void)releaseTexturesWithContext:(id<QCPlugInContext>)context;

@end
